Location: njsf@xxxxxxxxxxxxxxxxx
http://sxemacs.homeip.net:4080/njsf-arch/sxemacs/2008
Revision: sxemacs--njsf--22.1.9--patch-181
Archive: njsf@xxxxxxxxxxxxxxxxx
Creator: Nelson Ferreira <njsf@xxxxxxxxxxx>
Date: Sun Jun 1 23:48:49 EDT 2008
Standard-date: 2008-06-02 03:48:49 GMT
Modified-files: contrib/do_builds.sh
contrib/report-build-failure.sh
New-patches: njsf@xxxxxxxxxxxxxxxxx/sxemacs--njsf--22.1.9--patch-181
Summary: Contrib updates
Keywords: do_builds,report-build-failure,minor,bugfix
* contrib/do_builds.sh (STATUS): Update status with exit code of failed command
* contrib/report-build-failure.sh (STATUS): Allow for status to be provided as
3rd argument. Default it "BUILD FAILURE"
* added files
{arch}/sxemacs/sxemacs--njsf/sxemacs--njsf--22.1.9/njsf@xxxxxxxxxxxxxxxxx/patch-log/patch-181
* modified files
--- orig/contrib/do_builds.sh
+++ mod/contrib/do_builds.sh
@@ -80,9 +80,9 @@
mkdir -p ./++TAGS
CURDIR="$(pwd)"
cd ./++TAGS
- eval "${PREFIX}/configure" || STATUS=FAIL_CONFIGURE
+ eval "${PREFIX}/configure" || STATUS="FAIL_CONFIGURE_$?"
if [ -z "${STATUS}" ]; then
- make tags || STATUS=FAIL_TAGS
+ make tags || STATUS="FAIL_TAGS_$?"
fi
cd "$CURDIR"
fi
@@ -105,9 +105,9 @@
mkdir -p "./${build_name}"
CURDIR="$(pwd)"
cd "./${build_name}"
- eval "${PREFIX}/configure ${CONF_OPTS}" || STATUS=FAIL_CONFIGURE
+ eval "${PREFIX}/configure ${CONF_OPTS}" || STATUS="FAIL_CONFIGURE_$?"
if [ -z "$STATUS" ]; then
- eval "make ${MAKE_ARGS}" && STATUS=Success || STATUS=FAIL_MAKE
+ eval "make ${MAKE_ARGS}" && STATUS=Success || STATUS="FAIL_MAKE_$?"
if [ -f src/sxemacs -a -f src/.libs/lt-sxemacs ]; then
# Whatever status was, remains
# Done this way just to make sure no precedence bug
@@ -138,7 +138,7 @@
DO_REPORT_FAILURE="YES"
fi
if [ "${DO_REPORT_FAILURE}" = "YES" ]; then
- eval "${PREFIX}/contrib/report-build-failure.sh \"${MAIL_FROM}\"
\"${MAIL_FAILURE_TO}\" "
+ eval "${PREFIX}/contrib/report-build-failure.sh \"${MAIL_FROM}\"
\"${MAIL_FAILURE_TO}\" \"${STATUS}\" "
fi
fi
cd "$CURDIR"
--- orig/contrib/report-build-failure.sh
+++ mod/contrib/report-build-failure.sh
@@ -83,7 +83,11 @@
FILES="$FILES $f"
fi
done
-SUBJECT="[BUILD FAILURE] Version $VERSION on $CONFGUESS [$MACHTYPE]"
+STATUS=$3
+if [ -z "${STATUS}" ]; then
+ STATUS="BUILD FAILURE"
+fi
+SUBJECT="[${STATUS}] Version $VERSION on $CONFGUESS [$MACHTYPE] [@$(pwd)]"
MIME="application/x-gzip"
boundary="--sxemacs--failure--$$--"
attachment="build-failure-$FROM.tar.gz"
|